#version 330

// uniforms
uniform vec4 aColor;
uniform vec4 otherColor;
uniform int div;
uniform float width;
uniform float gap;

// interpolated input
in vec2 texCoord;

// outupt
out vec4 outputF;

void main() {

	vec2 tc = texCoord * div;
	float fr = fract(tc.s);
	
	// color 1
	if (fr < width - gap )
		outputF = aColor;
		
	// transition from color 1 to color 2
	else if (fr < width) {
		float f = (fr  - (width - gap)) / gap; // fraction
        // outputF = aColor * (1-f) + otherColor * f;
        outputF = mix(aColor, otherColor, f);
	}
	// color 2
	else if (fr < 1.0 - gap)
		outputF = otherColor;
	
	// transition from color 2 to color 1
	else {
		float f = (fr - (1.0 - gap)) / gap; // fraction
        // outputF = otherColor * (1-f) + aColor * f ;
        outputF = mix(otherColor, aColor, f);
	}
}