#version 330

// uniforms
uniform vec4 aColor;
uniform vec4 otherColor;
uniform int div;
uniform float width;
uniform float gap = 0.04;

// interpolated input
in vec2 texCoord;

// output
out vec4 outputF;

void main() {

	vec2 tc = texCoord * div;
	float fr = fract(tc.s);
	
	float f = smoothstep(width - gap, width, fr) - smoothstep(1.0 - gap, 1.0, fr);	
	outputF = mix(aColor, otherColor, f);
}