#version 330

// uniforms
uniform vec4 aColor;
uniform vec4 otherColor;
uniform int div;
uniform float width;
uniform float factor;

// interpolated inputs
in vec2 texCoord;

// outupt
out vec4 outputF;

void main() {

	vec2 tc = texCoord * div;

	float fr = fract(tc.s);
	
	vec2 deriv = vec2(dFdx(tc.s), dFdy(tc.s));
	float len = length(deriv);
	
	float actualGap = len * factor;
	
	float f = smoothstep(width - actualGap, width, fr) - smoothstep(1.0 - actualGap, 1.0, fr);	
	outputF = mix(aColor, otherColor, f);
}